-module(morefun).
-export([caller/0,funct/1]).
-record(rec,{first,last}).

funct({A,B})->
    T = #rec{first=A, last=B},
    T#rec.first + T#rec.last.

caller() ->
  begin
   inc(10),
   square(inc(10))
  end.

square(X) -> X * X.
inc(X) -> X + 1.

